const path = require("path");

const isDev = process.env.NODE_ENV === "development";

module.exports = {
  outputDir: isDev ? "./dist" : path.resolve("./public/dist/"),
  publicPath: isDev ? "/" : "/dist",
  configureWebpack: () => {
    // Object.assign(config, {
    //   // 开发生产共同配置
    //   resolve: {
    //     alias: {
    //       "@": path.resolve(__dirname, "./src"),
    //       "@components": path.resolve(__dirname, "./src/components"),
    //       "@utils": path.resolve(__dirname, "./src/utils"),
    //       "@pages": path.resolve(__dirname, "./src/pages"),
    //       "@router": path.resolve(__dirname, "./src/router"),
    //       "@assets": path.resolve(__dirname, "./src/assets")
    //     }
    //   }
    // });
  },
  chainWebpack: config => {
    // 默认不开启 prefetch
    config.plugins.delete("prefetch");

    // 默认不开启 preload
    config.plugins.delete("preload");

    // 修改页面 title
    config.plugin("html").tap(args => {
      args[0].title = "运营管理系统";
      return args;
    });
  },
  devServer: {
    proxy: "http://127.0.0.1:8055", //http://localhost:8055
    hot: true,
    disableHostCheck: true
  }
};
